aboutsummaryrefslogtreecommitdiffstats
path: root/testing/collectd/collectd.initd
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-06-24 09:40:56 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-06-24 09:40:56 +0000
commiteb8d770a77408f127ff2fa138aad5cb07dde8d08 (patch)
treeb293b613af69894699eb2f6205324bebeb594965 /testing/collectd/collectd.initd
parenta770a4563149fa905662648da861dd9b063ac8b9 (diff)
downloadaports-eb8d770a77408f127ff2fa138aad5cb07dde8d08.tar.gz
aports-eb8d770a77408f127ff2fa138aad5cb07dde8d08.tar.bz2
aports-eb8d770a77408f127ff2fa138aad5cb07dde8d08.tar.xz
testing/collectd: add init.d script, fix default conf, fix localstatedir
Diffstat (limited to 'testing/collectd/collectd.initd')
-rw-r--r--testing/collectd/collectd.initd20
1 files changed, 20 insertions, 0 deletions
diff --git a/testing/collectd/collectd.initd b/testing/collectd/collectd.initd
new file mode 100644
index 0000000000..de5705a032
--- /dev/null
+++ b/testing/collectd/collectd.initd
@@ -0,0 +1,20 @@
+#!/sbin/runscript
+
+DAEMON=/usr/sbin/collectd
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting collectd"
+ start-stop-daemon --start --exec $DAEMON -- $collectd_options
+ eend $?
+}
+
+stop () {
+ ebegin "Stopping collectd"
+ start-stop-daemon --stop --exec $DAEMON
+ eend $?
+}
+